ApiProductVersion (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiProductVersion

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiProductVersion

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiProductVersion
      extends Object

  ApiProductVersion

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiProductVersion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getProduct()` Get product
    `String` | `getVersion()` Get version
    `int` | `hashCode()`
    `ApiProductVersion` | `product(String product)`
    `void` | `setProduct(String product)`
    `void` | `setVersion(String version)`
    `String` | `toString()`
    `ApiProductVersion` | `version(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiProductVersion

          public ApiProductVersion()

  - ### Method Detail

    - #### version

          public ApiProductVersion version(String version)

    - #### getVersion

          public String getVersion()

      Get version
      Returns:
        version

    - #### setVersion

          public void setVersion(String version)

    - #### product

          public ApiProductVersion product(String product)

    - #### getProduct

          public String getProduct()

      Get product
      Returns:
        product

    - #### setProduct

          public void setProduct(String product)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.